Skip to main content
Topic: Update an old forum (Read 598 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Update an old forum

Hey all. Still working via phone only, but I want to get my old site updated.

http://www.bke.cc.nf/

Right now it's powered by ElkArte 1.0.9.
I'd like to get assistance with updating it.

Best way I can think of, is if updates can be done by Package Manager.

Another way may have to include someone helping me using ftp and admin account for the forum.

Re: Update an old forum

Reply #1

That is a classic 1.0.9:smile:  I think there may be a 1.0.10

To get up to date with the latest of 1.1.8 is going to take a few actions.  What I generally do / suggest is:

- backup, backup, backup.  Honestly from SSH this is two easy commands, one for your files and one for your db
- uninstall all addons (leaving of course any database stuff they have put in place)
- reset the site to the default theme (you will need to manually update your theme to the new construct, that is what will take the most work (depends on how modified it really is) from my experience
- get the full install package of 1.1.8, unzip over your old forum, overwriting the files
- navigate to the site, it should bring up the upgrade script on its own.  Run it to make the needed changes to the DB.  When complete let it remove the install directory.
- At that point you should have a functioning 1.1.8.  Now you must get the latest versions of all the addons you have installed.  Most are on the addon site, others are in their respective threads on this site.  If you can't find them, ask for help.
- Download and Install them one at a time, make sure things work.
- Begin the process of upgrading your theme

Re: Update an old forum

Reply #2

Quote from: Spuds  -  That is a classic 1.0.9:smile:  I think there may be a 1.0.10

To get up to date with the latest of 1.1.8 is going to take a few actions.  What I generally do / suggest is:

- backup, backup, backup.  Honestly from SSH this is two easy commands, one for your files and one for your db

What are the SSH commands to backup?

Re: Update an old forum

Reply #3

Quote from: Burke_Knight  -  Hey all. Still working via phone only, but I want to get my old site updated.

http://www.bke.cc.nf/

Right now it's powered by ElkArte 1.0.9.
I'd like to get assistance with updating it.

Best way I can think of, is if updates can be done by Package Manager.

Another way may have to include someone helping me using ftp and admin account for the forum.

I'm on the same version of Elkarte, had to get my host to roll back PHP from 7.2 to 5.6 in order to get back into my admin panel :D

How did the update go?  I'm about to try it myself.

 

Re: Update an old forum

Reply #4

if you have ssh access:
ftp backup:
Code: [Select]
tar -czf /path/to/where_you_want_to_save/ftp.tar.gz /path/to/your/forum
database backup:
Code: [Select]
mysqldump -u user your_database_name > /path/to/where_you_want_to_save/your_database.sql
If you don't have SSH access then those commands are useless for you.

Re: Update an old forum

Reply #5

Quote from: the-real-orson  - 
Quote from: Burke_Knight  -  Hey all. Still working via phone only, but I want to get my old site updated.

http://www.bke.cc.nf/

Right now it's powered by ElkArte 1.0.9.
I'd like to get assistance with updating it.

Best way I can think of, is if updates can be done by Package Manager.

Another way may have to include someone helping me using ftp and admin account for the forum.

I'm on the same version of Elkarte, had to get my host to roll back PHP from 7.2 to 5.6 in order to get back into my admin panel :D

How did the update go?  I'm about to try it myself.
I just updated from 1.0.10 to 1.1.8 without a hitch. Now I just need to port over a few remaining add-ons.

I actually did pretty much all the prep work in 2017… but then it somehow never happened.  :D In any case I needed to move on from PHP 7.1[1] to 8.1, better sooner rather than later.

But yeah, very simple:

  • Inventory your add-ons & available updates for them
  • Backup files & db
  • Disable all addons
  • Enable maintenance mode (optional, I suppose)
  • Overwrite with 1.1.8
  • Do the upgrade
  • Install the updated versions of your add-ons
I think 7.1 was the last properly working version with Elk 1.0? Or was it 7.2. I didn't write it down. In any case it was EOL.

Re: Update an old forum

Reply #6

Oh, I managed to get it done.
Took a bit of work, but it is running fine now.